MakeArithmeticAverageOIS Class Reference

helper class More...

`#include <ql/experimental/averageois/makearithmeticaverageois.hpp>`

## Public Member Functions

| MakeArithmeticAverageOIS (const Period &swapTenor, const ext::shared_ptr< OvernightIndex > &overnightIndex, Rate fixedRate=Null< Rate >(), const Period &fwdStart=0 *Days)
| operator ArithmeticAverageOIS () const
| operator ext::shared_ptr< ArithmeticAverageOIS > () const
MakeArithmeticAverageOIS & | receiveFixed (bool flag=true)
MakeArithmeticAverageOIS & | withType (ArithmeticAverageOIS::Type type)
MakeArithmeticAverageOIS & | withNominal (Real n)
MakeArithmeticAverageOIS & | withSettlementDays (Natural settlementDays)
MakeArithmeticAverageOIS & | withEffectiveDate (const Date &)
MakeArithmeticAverageOIS & | withTerminationDate (const Date &)
MakeArithmeticAverageOIS & | withRule (DateGeneration::Rule r)
MakeArithmeticAverageOIS & | withFixedLegPaymentFrequency (Frequency f)
MakeArithmeticAverageOIS & | withOvernightLegPaymentFrequency (Frequency f)
MakeArithmeticAverageOIS & | withEndOfMonth (bool flag=true)
MakeArithmeticAverageOIS & | withFixedLegDayCount (const DayCounter &dc)
MakeArithmeticAverageOIS & | withOvernightLegSpread (Spread sp)
MakeArithmeticAverageOIS & | withDiscountingTermStructure (const Handle< YieldTermStructure > &discountingTermStructure)
MakeArithmeticAverageOIS & | withPricingEngine (const ext::shared_ptr< PricingEngine > &engine)
MakeArithmeticAverageOIS & | withArithmeticAverage (Real meanReversionSpeed=0.03, Real volatility=0.00, bool byApprox=false)

## Detailed Description

helper class

This class provides a more comfortable way to instantiate arithemtic average overnight indexed swaps.